Bug 1088134 (CVE-2014-2419) - CVE-2014-2419 mysql: unspecified DoS related to Partition (CPU April 2014)
Summary: CVE-2014-2419 mysql: unspecified DoS related to Partition (CPU April 2014)
Status: CLOSED ERRATA
Alias: CVE-2014-2419
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20140415,reported=2...
Keywords: Security
Depends On: 1088232 1088234 1089202 1089203 1089209 1089366 1092145 1093372 1101062 1101063
Blocks: 1088219
TreeView+ depends on / blocked
 
Reported: 2014-04-16 06:23 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-08 20:00 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-08 02:32:28 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0522 normal SHIPPED_LIVE Moderate: mariadb55-mariadb security update 2014-05-20 15:11:10 UTC
Red Hat Product Errata RHSA-2014:0536 normal SHIPPED_LIVE Moderate: mysql55-mysql security update 2014-05-22 21:19:28 UTC
Red Hat Product Errata RHSA-2014:0537 normal SHIPPED_LIVE Moderate: mysql55-mysql security update 2014-05-22 21:09:11 UTC
Red Hat Product Errata RHSA-2014:0702 normal SHIPPED_LIVE Moderate: mariadb security update 2014-06-10 16:44:39 UTC

Description Huzaifa S. Sidhpurwala 2014-04-16 06:23:39 UTC
Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: Partition). Supported versions that are affected are 5.5.35 and earlier and 5.6.15 and earlier. Easily exploitable vulnerability allows successful authenticated network attacks via multiple protocols. Successful attack of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server. 

External References:

http://www.oracle.com/technetwork/topics/security/cpuapr2014-1972952.html#AppendixMSQL

Comment 1 Huzaifa S. Sidhpurwala 2014-04-16 09:42:33 UTC
Created mariadb tracking bugs for this issue:

Affects: fedora-all [bug 1088234]

Comment 2 Huzaifa S. Sidhpurwala 2014-04-16 09:42:36 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1088232]

Comment 6 Fedora Update System 2014-04-29 05:23:00 UTC
mariadb-5.5.37-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-04-29 05:25:04 UTC
community-mysql-5.5.37-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-04-29 05:26:28 UTC
mariadb-5.5.37-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-04-29 05:28:17 UTC
community-mysql-5.5.37-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-05-16 10:09:19 UTC
mariadb-galera-5.5.37-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 errata-xmlrpc 2014-05-20 11:11:28 UTC
This issue has been addressed in following products:

  Red Hat Software Collections for RHEL-6

Via RHSA-2014:0522 https://rhn.redhat.com/errata/RHSA-2014-0522.html

Comment 12 errata-xmlrpc 2014-05-22 17:12:12 UTC
This issue has been addressed in following products:

  Red Hat Software Collections for RHEL-6

Via RHSA-2014:0537 https://rhn.redhat.com/errata/RHSA-2014-0537.html

Comment 13 errata-xmlrpc 2014-05-22 17:19:51 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0536 https://rhn.redhat.com/errata/RHSA-2014-0536.html

Comment 15 errata-xmlrpc 2014-06-10 12:45:33 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:0702 https://rhn.redhat.com/errata/RHSA-2014-0702.html


Note You need to log in before you can comment on or make changes to this bug.